# Leaves

## Gets a list of leaves

> This endpoint is used to fetch all the leaves in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PaginatedLeavesListList":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/LeavesList"}}}},"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/":{"get":{"operationId":"ux_common_leaves_leaveinfo_list","description":"This endpoint is used to fetch all the leaves in the current organization","summary":"Gets a list of leaves","parameters":[{"name":"items_per_page","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"offset","required":false,"in":"query","description":"The initial index from which to return the results.","schema":{"type":"integer"}}],"tags":["Leaves"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLeavesListList"}}},"description":""}}}}}}
```

## Creates a leave for user&#x20;

> This endpoint is used to save a new user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/leaves/leaveinfo/":{"post":{"operationId":"ux_common_leaves_leaveinfo_create","description":"This endpoint is used to save a new user for the current organization","summary":"Creates a leave for user ","tags":["Leaves"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a leave with the given id

> This endpoint is used to fetch a leave details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/{id}/":{"get":{"operationId":"ux_common_leaves_leaveinfo_retrieve","description":"This endpoint is used to fetch a leave details in the current organization","summary":"Gets a leave with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Leaves"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## Edits the leave with given id

> This endpoint is used to edit an existing leave for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/{id}/":{"put":{"operationId":"ux_common_leaves_leaveinfo_update","description":"This endpoint is used to edit an existing leave for the current organization","summary":"Edits the leave with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Leaves"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/LeavesList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/LeavesList"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## Deletes the leave with given id

> This endpoint is used to delete an existing leave for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/leaves/leaveinfo/{id}/":{"delete":{"operationId":"ux_common_leaves_leaveinfo_destroy","description":"This endpoint is used to delete an existing leave for the current organization","summary":"Deletes the leave with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Leaves"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /ux/common/leaves/leaveinfo/{id}/

> API endpoint that allows to view the leaves for system.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PatchedLeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}}},"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/{id}/":{"patch":{"operationId":"ux_common_leaves_leaveinfo_partial_update","description":"API endpoint that allows to view the leaves for system.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Leaves"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedLeavesList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PatchedLeavesList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PatchedLeavesList"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## GET /ux/common/leaves/leaveinfo/get\_config/

> API endpoint that allows to view the leaves for system.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/get_config/":{"get":{"operationId":"ux_common_leaves_leaveinfo_get_config_retrieve","description":"API endpoint that allows to view the leaves for system.","tags":["Leaves"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## GET /ux/common/leaves/leaveinfo/get\_options/

> API endpoint that allows to view the leaves for system.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/get_options/":{"get":{"operationId":"ux_common_leaves_leaveinfo_get_options_retrieve","description":"API endpoint that allows to view the leaves for system.","tags":["Leaves"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## GET /ux/common/leaves/leaveinfo/my\_leaves/

> API endpoint that allows to view the leaves for system.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/my_leaves/":{"get":{"operationId":"ux_common_leaves_leaveinfo_my_leaves_retrieve","description":"API endpoint that allows to view the leaves for system.","tags":["Leaves"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```

## POST /ux/common/leaves/leaveinfo/save\_config/

> API endpoint that allows to view the leaves for system.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LeavesList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"username":{"type":"string","readOnly":true},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"reason":{"type":"string"},"days":{"type":"integer"},"leave_id":{"type":"string"},"leave_type":{"type":"string"},"user":{"type":"string"},"email":{"type":"string","readOnly":true}},"required":["email","username"]}}},"paths":{"/ux/common/leaves/leaveinfo/save_config/":{"post":{"operationId":"ux_common_leaves_leaveinfo_save_config_create","description":"API endpoint that allows to view the leaves for system.","tags":["Leaves"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/LeavesList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/LeavesList"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeavesList"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/leaves.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
